#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QNetworkAccessManager>
#include <QNetworkReply>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private slots:
    void on_pushButton_clicked();

    void networkReplay_error(QNetworkReply::NetworkError code);
    void networkReplay_finished();

private:
    Ui::Widget *ui;

    QNetworkAccessManager *m_networkAccessManager;
    QNetworkReply *m_reply;
};

#endif // WIDGET_H
